glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Gio::DBus::PropertyInfo Class Reference
D-Bus API

Stores information about a property on a D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusPropertyInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusPropertyInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusPropertyInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Protected Member Functions
| PropertyInfo ()
void | operator delete (void*, size_t)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBus::PropertyInfo > | wrap (GDBusPropertyInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Stores information about a property on a D-Bus interface.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::PropertyInfo::PropertyInfo | ( |  | ) | `[protected]`

## Member Function Documentation

GDBusPropertyInfo* Gio::DBus::PropertyInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GDBusPropertyInfo* Gio::DBus::PropertyInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusPropertyInfo* Gio::DBus::PropertyInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::DBus::PropertyInfo::operator delete | ( | void * | ,
|  | size_t |
| ) |  | `[protected]`

void Gio::DBus::PropertyInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::PropertyInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::PropertyInfo > wrap | ( | GDBusPropertyInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.